Scans from right, while a test passes.
[:package:](https://www.npmjs.com/package/@extra-array/scan-while-right)
[:smiley_cat:](https://github.com/orgs/nodef/packages?repo_name=extra-array)
[:running:](https://npm.runkit.com/@extra-array/scan-while-right)
[:vhs:](https://asciinema.org/a/339812)
[:moon:](https://www.npmjs.com/package/@extra-array/scan-while-right.min)
[:scroll:](https://unpkg.com/@extra-array/scan-while-right/)
[:newspaper:](https://nodef.github.io/extra-array/)
[:blue_book:](https://github.com/nodef/extra-array/wiki/)

> Alternatives: [scanWhile], [scanWhileRight], [scanUntil], [scanUntilRight].<br>
> Similar: [search], [scan], [find].

> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

<br>

```javascript
array.scanWhileRight(x, ft);
// x:  an array
// ft: test function (v, i, x)
// → first index where test passes till end
```

```javascript
const array = require("extra-array");

var x = [1, 1, 2, 2, 3, 3, 4, 4];
array.scanWhileRight(x, v => v % 3 !== 0);
// 6                       ^

array.scanWhileRight(x, v => v % 2 !== 0);
// 8                            ^

array.scanWhileRight(x, v => v % 6 !== 0);
// 0    ^
```

<br>
<br>


## References

- [List-Extra.elemIndex: elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#elemIndex)
- [iterable-binsearch: @krisselden](https://www.npmjs.com/package/iterable-binsearch)
- [binarysearch: @soldair](https://www.npmjs.com/package/binarysearch)

[scanWhile]: https://github.com/nodef/extra-array/wiki/scanWhile
[scanWhileRight]: https://github.com/nodef/extra-array/wiki/scanWhileRight
[scanUntil]: https://github.com/nodef/extra-array/wiki/scanUntil
[scanUntilRight]: https://github.com/nodef/extra-array/wiki/scanUntilRight
[search]: https://github.com/nodef/extra-array/wiki/search
[scan]: https://github.com/nodef/extra-array/wiki/scan
[find]: https://github.com/nodef/extra-array/wiki/find
